
Redmine - Defect #25137

Assigning a parent in issue properties does not work (Error "Parent task is invalid") although the

Parent exists

2017-02-21 10:39 - Astrid Krafczyk-Kralitschka

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version: 3.1.3

Description

Affected Version is 3.1.6stable 15842 (version is not in the drop-down..)

The parent issue definitely exists. Another issue is assigned as subtask but the other subtask has been added via the parent (create

subtaks)

The second Issue has been created as the normal issue. After saving I wanted to add parent issue via the properties...and that failed

(see attached screenshot)

Related issues:

Is duplicate of Redmine - Defect #13654: Can't set parent issue when issue re... Closed

History

#1 - 2017-02-22 09:51 - Marius BĂLTEANU

You should update you Redmine instance to 3.3.* because in version 3.3.0 there were multiple issues fixed related to issue relations (#17580, #8628, 

#13654).

#2 - 2017-02-22 10:07 - Astrid Krafczyk-Kralitschka

Marius BALTEANU wrote:

You should update you Redmine instance to 3.3.* because in version 3.3.0 there were multiple issues fixed related to issue relations (#17580, 

#8628, #13654).

 Hi,

thx a lot. Gonna tell our administrator. 3.3.0 is a stable version?

#3 - 2017-02-22 10:20 - Marius BĂLTEANU

Redmine 3.3.2 is the latest stable version. You can check by yourself in the News section or in the Changelog page from wiki.

#4 - 2017-02-22 21:58 - Mischa The Evil

- Status changed from New to Needs feedback

#5 - 2017-03-04 04:47 - Go MAEDA

- Is duplicate of Defect #13654: Can't set parent issue when issue relations among child issues are present added

#6 - 2017-03-04 04:47 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Duplicate

As Marius BALTEANU wrote, I think this issue is a duplicate of #13654. It was fixed in Redmine 3.3.0. Please reopen this issue if the problem persists

after updating to Redmine 3.3.x.

In Redmine <= 3.2.x, you cannot set parent task if some of related issues has same parent task.

#7 - 2017-03-14 09:41 - Astrid Krafczyk-Kralitschka
https://www.redmine.org/issues/17580
https://www.redmine.org/issues/8628
https://www.redmine.org/issues/13654
https://www.redmine.org/issues/17580
https://www.redmine.org/issues/8628
https://www.redmine.org/issues/13654
https://www.redmine.org/projects/redmine/wiki/Changelog
https://www.redmine.org/issues/13654


OK. Thx. Will wait if our admin will do the update.
